function [ ] = moments

% name of files to be read
name_of_files = char('moments1.dat', 'moments2.dat');


% read first set of moments

fil_to_read = deblank(name_of_files(1,:));
fid = fopen(fil_to_read,  'r');
[a_data, count] = fscanf(fid,'%g %g %g %g %g %g %g %g %g',[9 inf]);
number_of_samples = count/9;
plot_data1 = zeros(9,number_of_samples);
plot_data1(:,:) = a_data;

ALT = zeros(number_of_samples);
ALT = plot_data1(1,:);
G_p = zeros(number_of_samples);
G_p = plot_data1(2,:);
PHI = zeros(number_of_samples);
PHI = plot_data1(3,:);
G_e = zeros(number_of_samples);
G_e = plot_data1(4,:);
N_e = zeros(number_of_samples);
N_e = plot_data1(5,:);
N_p = zeros(number_of_samples);
N_p = plot_data1(6,:);
F_e = zeros(number_of_samples);
F_e = plot_data1(7,:);
F_p = zeros(number_of_samples);
F_p = plot_data1(8,:);
V_p = zeros(number_of_samples);
V_p = plot_data1(9,:);
%V_p = zeros(number_of_samples);
%V_p = plot_data1(9,:);


%read second set of moments

fil_to_read = deblank(name_of_files(2,:));
fid = fopen(fil_to_read,  'r');
[a_data, count] = fscanf(fid,'%g %g %g %g %g %g %g %g %g %g %g',[11 inf]);
number_of_samples = count/11;
plot_data2 = zeros(11,number_of_samples);
plot_data2(:,:) = a_data;


ALT = zeros(number_of_samples);
ALT = plot_data2(1,:);
T_e_par = zeros(number_of_samples);
T_e_par = plot_data2(2,:);
T_e_perp = zeros(number_of_samples);
T_e_perp = plot_data2(3,:);
T_e = zeros(number_of_samples);
T_e = plot_data2(4,:);
A_e = zeros(number_of_samples);
A_e = plot_data2(5,:);
T_p_par = zeros(number_of_samples);
T_p_par = plot_data2(6,:);
T_p_perp = zeros(number_of_samples);
T_p_perp = plot_data2(7,:);
T_p = zeros(number_of_samples);
T_p = plot_data2(8,:);
A_p = zeros(number_of_samples);
A_p = plot_data2(9,:);
h_e = zeros(number_of_samples);
h_e = plot_data2(10,:);
h_p = zeros(number_of_samples);
h_p = plot_data2(11,:);


h_plot_window ...
   = figure( ...
        'Name','Kinetic exospheric model results', ...
        'Units', 'normalized', ...
        'Position', [0.1 0.1 0.6 0.8], ...
        'Resize','on','PaperType','A4', ...
        'NumberTitle','off', ...
        'Visible','off');
axes( ...
        'Units','normalized', ...
        'Position',[0.10 0.10 0.60 0.80], ...
        'Box','on');
axis off;
color_values=['k', 'r','g','b','c','y', 'm'];
figure(h_plot_window);


subplot('Position',[0.1,0.73,0.37,0.17])
%plot(ALT, N_e, '-', 'LineWidth', 1,'MarkerSize',2);
loglog(ALT, N_e, '-', 'LineWidth', 1,'MarkerSize',2);
ylabel('number density [m^{-3}]', 'FontSize', 10); 
set(gca,  'LineWidth', 1.0, 'FontSize', 12,...
          'XMinorTick', 'on', 'YMinorTick', 'on',...
          'XTickLabel',{' ';'  ';' ';' '});
hold on

subplot('Position',[0.1,0.52,0.37,0.17])
%plot(ALT, F_e, '-', 'LineWidth', 1,'MarkerSize',2);
loglog(ALT, F_e, '-', 'LineWidth', 1,'MarkerSize',2);
ylabel('Flux [m^{-2} s^{-1}]', 'FontSize', 10); 
set(gca,  'LineWidth', 1.0, 'FontSize', 12,...
          'XMinorTick', 'on', 'YMinorTick', 'on',...
          'XTickLabel',{' ';'  ';' ';' '});
hold on

subplot('Position',[0.1,0.31,0.37,0.17])
%plot(ALT, T_p_par, '-', 'LineWidth', 1,'MarkerSize',2);
loglog(ALT, T_p_par, '-', 'LineWidth', 1,'MarkerSize',2);
hold on
%plot(ALT, T_p_perp, '-', 'LineWidth', 1,'MarkerSize',2);
loglog(ALT, T_p_perp, '-', 'LineWidth', 1,'MarkerSize',2);
ylabel('p^{+} temperature[K]', 'FontSize', 10); 
set(gca,  'LineWidth', 1.0, 'FontSize', 12,...
          'XMinorTick', 'on', 'YMinorTick', 'on',...
          'XTickLabel',{' ';'  ';' ';' '});
hold on

subplot('Position',[0.1,0.1,0.37,0.17])
semilogx(ALT, G_p, '-', 'LineWidth', 1,'MarkerSize',2);
ylabel('p^{+} total potential', 'FontSize', 10); 
xlabel('Radial distance (R_S)', 'FontSize', 10)
set(gca,  'LineWidth', 1.0, 'FontSize', 12,...
          'XMinorTick', 'on', 'YMinorTick', 'on');
hold on

subplot('Position',[0.52,0.73,0.37,0.17])
semilogx(ALT, PHI, '-', 'LineWidth', 1,'MarkerSize',2);
ylabel('electrostatic potential [V]', 'FontSize', 10); 
set(gca,  'LineWidth', 1.0, 'FontSize', 12,...
          'XMinorTick', 'on', 'YMinorTick', 'on',...
          'XTickLabel',{' ';'  ';' ';' '});
hold on

subplot('Position',[0.52,0.52,0.37,0.17])
semilogx(ALT, V_p, '-', 'LineWidth', 1,'MarkerSize',2);
ylabel('bulk velocity [km/s]', 'FontSize', 10); 
set(gca,  'LineWidth', 1.0, 'FontSize', 12,...
          'XMinorTick', 'on', 'YMinorTick', 'on',...
          'XTickLabel',{' ';'  ';' ';' '});
hold on

subplot('Position',[0.52,0.31,0.37,0.17])
%plot(ALT, T_e_par, '-', 'LineWidth', 1,'MarkerSize',2);
loglog(ALT, T_e_par, '-', 'LineWidth', 1,'MarkerSize',2);
hold on
%plot(ALT, T_e_perp, '-', 'LineWidth', 1,'MarkerSize',2);
loglog(ALT, T_e_perp, '-', 'LineWidth', 1,'MarkerSize',2);
ylabel('bulk velocity [km/s]', 'FontSize', 10); 
set(gca,  'LineWidth', 1.0, 'FontSize', 12,...
          'XMinorTick', 'on', 'YMinorTick', 'on',...
          'XTickLabel',{' ';'  ';' ';' '});
hold on

subplot('Position',[0.52,0.1,0.37,0.17])
%plot(ALT, h_e, '-', 'LineWidth', 1,'MarkerSize',2);
loglog(ALT, h_e, '-', 'LineWidth', 1,'MarkerSize',2);
hold on
loglog(ALT, h_p, '-', 'LineWidth', 1,'MarkerSize',2);
ylabel('heat flux [jm^{-2}s^{-1}]', 'FontSize', 10); 
xlabel('Radial distance (R_S)', 'FontSize', 10)
set(gca,  'LineWidth', 1.0, 'FontSize', 12,...
          'XMinorTick', 'on', 'YMinorTick', 'on');
hold on