pro moments_v2

m=199
       
a1 = fltarr(9,m) 
openr, unit, 'moments1.dat', /get_lun
readf, unit, a1
close, unit
free_lun, unit   

a2 = fltarr(11,m) 
openr, unit, 'moments2.dat', /get_lun
readf, unit, a2
close, unit 
free_lun, unit

a3 = fltarr(7)
openr, unit, 'input.dat',/get_lun
readf, unit, a3
close, unit
free_lun, unit
; ---------------------------------------------------------------------------

min_a1=min(a1(3,*)*1.d6)
max_a1=max(a1(3,*)*1.d6)
plot_oo,[1],/nodata,xrange=[a3(0),a3(6)],yrange=[min_a1, max_a1],$
xstyle=1,ystyle=1,yminor=0,$
xtickname=replicate(' ',30),position=[0.10,0.74,0.50,0.94],$
ytitle='Number density (m!u-3!n)',ycharsize=1.

oplot, a1(0,*), a1(3,*)*1.d6,thick=1,linestyle=0 

; --------------------------------------------------------------------------     

min_a1=min(a1(2,*))
max_a1=max(a1(2,*))
plot_oi,[1],/nodata,xrange=[a3(0),a3(6)],yrange=[min_a1, max_a1],xstyle=1,ystyle=1,$
xtickname=replicate(' ',30),position=[0.55,0.74,0.95,0.94],/noerase,$
ycharsize=1.

axis, yaxis=1, yrange=[0,4000], ystyle=1, /save, $
ytickname=replicate(' ',30),ytitle='Electric potential(V)',ycharsize=1.

oplot, a1(0,*), a1(2,*),thick=1,linestyle=0 

; --------------------------------------------------------------------------     

min_a1=min(a1(5,*)*1.d12)
max_a1=max(a1(5,*)*1.d12)              
plot_oo,[1],/nodata,xrange=[a3(0),a3(6)],yrange=[min_a1,max_a1], $
ytitle='Flux (m!u-2!n s!u-1!n)',$
xtickname=replicate(' ',30),xstyle=1, position=[0.10,0.52,0.50,0.72],/noerase,$
ycharsize=1.
 
oplot, a1(0,*), a1(5,*)*1.d12,thick=1,linestyle=0         

; --------------------------------------------------------------------------                                                        

min_a1=min(a1(7,*))
max_a1=max(a1(7,*))  
plot_oi,[1],/nodata,xrange=[a3(0),a3(6)],yrange=[min_a1, max_a1],xstyle=1,$
xtickname=replicate(' ',30), position=[0.55,0.52,0.95,0.72],/noerase,$
ycharsize=1.

axis, yaxis=1, yrange=[0,800], ystyle=1, /save, $
ytickname=replicate(' ',30),ytitle='Bulk Speed (km/s)',ycharsize=1.
                                                 

oplot, a1(0,*), a1(7,*),thick=1,linestyle=0 

; -----------------------------------------------------------------------
min_a25=min(a2(5,*))
max_a25=max(a2(5,*)) 
min_a26=min(a2(6,*))
max_a26=max(a2(6,*)) 
min_a2=min([min_a25, min_a26])
max_a2=min([max_a25, max_a26])
plot_oo,[1],/nodata, xrange=[a3(0),a3(6)],xstyle=1,yrange=[min_a2,max_a2],$
ytitle='Proton temperature (K)',xtickname=replicate(' ',30),$
position=[0.10,0.30,0.50,0.50],/noerase,ycharsize=1.

oplot, a2(0,*), a2(5,*),thick=1,linestyle=0
oplot, a2(0,*), a2(6,*),thick=1,linestyle=0 

; -------------------------------------------------------------------------    

min_a11=min(a1(1,*))
max_a11=max(a1(1,*)) 
min_a12=min(a1(2,*))
max_a12=max(a1(2,*)) 
min_a1=min([min_a11, min_a12])
max_a1=max([max_a11, max_a12])                               
plot_oo,[1],/nodata, xrange=[a3(0),a3(6)],xstyle=1,yrange=[min_a1, max_a1],$
ystyle=1, xtickname=replicate(' ',30),position=[0.55,0.30,0.95,0.50],/noerase,$
ycharsize=1.

axis, yaxis=1, yrange=[1e5,1e7], ystyle=1, /save, $
ytickname=replicate(' ',30),ytitle='Electron temperature (K)',ycharsize=1.

oplot, a2(0,*), a2(1,*),thick=1,linestyle=0 
oplot, a2(0,*), a2(2,*),thick=1,linestyle=0 

; -------------------------------------------------------------------------     
                                                       
plot_oi,[1],/nodata,xrange=[a3(0),a3(6)],yrange=[min(a1(1,*)),max(a1(1,*))],$
;-20.,3.],$
ytitle='Proton potential',xtitle='Radial distance (Rs)',$
xstyle=1,ystyle=1,position=[0.10,0.08,0.50,0.28],/noerase,ycharsize=1.,$
xcharsize=0.8

oplot, a1(0,*), a1(1,*),thick=1,linestyle=0 
;oplot, a1(0,*), a1(16,*),thick=1,linestyle=0  

; -------------------------------------------------------------------------  
                                                        
min_q=min([min(a2(9,*)), min(a2(10,*))])
max_q=max([max(a2(9,*)), max(a2(10,*))])

plot_oo,[1],/nodata,xrange=[a3(0),a3(6)],yrange=[min_q, max_q],$
;1.e-3,1.e0],$
xtitle='Radial distance (Rs)',xstyle=1,position=[0.55,0.08,0.95,0.28],$
/noerase,ycharsize=1.,xcharsize=0.8

axis, yaxis=1, yrange=[min_q, max_q], ystyle=1, /save, $
;yrange=[1e-3,1.0]
ytickname=replicate(' ',30),ytitle='Heat fluxes (Jm!u-2!ns!u-1!n)',$
ycharsize=1.

     
oplot, a2(0,*), a2(9,*),thick=2,linestyle=0 
oplot, a2(0,*), a2(10,*),thick=1,linestyle=0    
 
stop                                 
end
