pro rmax
;**********************************************************
; PROGRAM RMAX.PRO
; Version 1.0 (12/09/03)
; Author : Herve Lamy & Viviane Pierrard
;
; This program is written in order to plot all the solutions
; of the quasi-neutrality equation in order to check that
; the r_max value given by kinetic_sw.f is correct.
;**********************************************************

data1 = dblarr(3)
openr, unit, 'idl.dat', /get_lun
readf, unit, data1
close, unit

xmin=round(100*data1(0))
xmin=float(xmin)/100+0.05
xmax=round(100*data1(1))
xmax=float(xmax)/100

m=(xmax-xmin)*100-1
data2 = dblarr(4,m)  
openr, unit, 'gp_res.dat', /get_lun
readf, unit, data2
close, unit 

temp1=sort(data2(3,*))
ymax=round(100*data2(3,temp1(m-1)))
ymax=float(ymax)/100+0.5
k=where(data2(1,*) ne -999.d0)
temp2=sort(data2(1,k))
ymin=round(100*data2(1,temp2(0)))
ymin=float(ymin)/100

plot,[1],/nodata,xrange=[xmin,xmax],yrange=[ymin,ymax],$
xstyle=1, ystyle=1, xtitle='radial distance (R!ds!n)',$
ytitle='Total normalized potential of protons',$
xchars=1.2,ychars=1.2

i=where(data2(1,*) ne -999.,nb)
for j=0,nb-2 do begin
k=i(j)
if (data2(0,k) ge data1(2) and data2(1,k) ne ymin) then begin
plots, [data2(0,k),data2(0,k+1)], [data2(1,k),data2(1,k+1)],$
linestyle=0, thick=3
endif else begin
plots, data2(0,k),data2(1,k), psym=3
endelse
endfor
i=where(data2(2,*) ne -999.,nb)
for j=0,nb-1 do begin
k=i(j)
if (data2(0,k) le data1(2)) then begin
plots, [data2(0,k),data2(0,k+1)], [data2(2,k),data2(2,k+1)],$
linestyle=0, thick=3
endif else begin
plots, data2(0,k),data2(2,k), psym=3
endelse
endfor
oplot, data2(0,i), data2(2,i), psym=3
i=where(data2(3,*) ne -999.)
oplot, data2(0,i), data2(3,i), psym=3

end
